baseURL = "https://daniel.rodriguez.saez.19.gitlab.io/portfolio/"
title = "Daniel"
theme = "gokarna"
languageCode = "es"
defaultContentLanguage = "es"
enableEmoji = true
enableRobotsTXT = true

# Choose one of emacs, trac or perldoc
pygmentsStyle = "monokai"

[params]
  footer = "Daniel"
  description = "Hi my name is Daniel, I'm a Full Stack Developer"
  avatarURL = "/img/Avatar.jpg"
  AvatarAltText = "avatar"
  avatarSize = "size-m"
  customHeadHTML = """
    <!-- KaTeX -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/katex@0.16.0/dist/katex.min.css" integrity="sha384-Xi8rHCmBmhbuyyhbI88391ZKP2dmfnOl4rT9ZfRI7mLTdk1wblIUnrIq35nqwEvC" crossorigin="anonymous">
    <script defer src="https://cdn.jsdelivr.net/npm/katex@0.16.0/dist/katex.min.js" integrity="sha384-X/XCfMm41VSsqRNQgDerQczD69XqmjOOOwYQvr/uuC+j4OPoNhVgjdGFwhvN02Ja" crossorigin="anonymous"></script>
    <script defer src="https://cdn.jsdelivr.net/npm/katex@0.16.0/dist/contrib/auto-render.min.js" integrity="sha384-+XBljXPPiv+OzfbB3cVmLHf4hdUFHlWNZN5spNQ7rmHTXpd7WvJum6fIACpNNfIR" crossorigin="anonymous"></script>
    <script>
      document.addEventListener("DOMContentLoaded", function() {
        renderMathInElement(document.body, {
          // customised options
          // • auto-render specific keys, e.g.:
          delimiters: [
            {left: '$$', right: '$$', display: true},
            {left: '$', right: '$', display: false},
          ],
          // • rendering keys, e.g.:
          throwOnError : false
        });
      });
    </script>
  """
  socialIcons = [
    {name = "twitter", url = "https://example.com"},
    {name = "linkedin", url = "https://www.linkedin.com/in/danielrodriguezsaez/"},
    {name = "stackoverflow", url = "https://example.com"},
    {name = "dribbble", url = "https://example.com"},
    {name = "instagram", url = "https://example.com"},
    {name = "twitch", url = "https://example.com"},
    {name = "email", url = "mailto:daniel.rodriguez.saez.19@gmail.com"}
  ]
  metaKeywords = ["blog", "gokarna", "hugo"]

[menu]
  [[menu.main]]
    name = "About me"
    pre = "<span data-feather='home'></span>"
    url = "aboutme/jo/"
    weight = 1

  [[menu.main]]
    name = "Posts"
    pre = "<span data-feather='book'></span>"
    url = "posts"
    weight = 2

  [[menu.main]]
    name = "Projects"
    pre = "<span data-feather='code'></span>"
    url = "projects/"
    weight = 3

  [[menu.main]]
    name = "Currículum"
    pre = "<span data-feather='file-text'></span>"
    url = "curriculum/"
    weight = 4

  [[menu.main]]
    name = "Memòria Dual"
    pre = "<span data-feather='file-text'></span>"
    url = "memoria/"
    weight = 4


  [[menu.main]]
    identifier = "github"
    pre = "<span data-feather='github'></span>"
    url = "https://gitlab.com/daniel.rodriguez.saez.19"
    weight = 5

  [[menu.main]]
    identifier = "buymeacoffee"
    pre = "<span data-feather='coffee'></span>"
    url = "https://www.buymeacoffee.com/avijitgupta"
    weight = 6

  [[menu.main]]
    identifier = "rss"
    pre = "<span data-feather='rss'></span>"
    url = "/index.xml"
    weight = 7

[markup]
  [markup.tableOfContents]
    startLevel = 1
    endLevel = 4
    ordered = false
